Bug 965770 - RESCAN DISKS: do not interrupt rescanning when Esc is pressed
RESCAN DISKS: do not interrupt rescanning when Esc is pressed
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
Reported: 2013-05-21 12:53 EDT by Jan Stodola
Modified: 2014-01-29 14:01 EST (History)
7 users (show)

See Also:
Fixed In Version: anaconda-19.31-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-29 14:01:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot (68.26 KB, image/png)
2013-05-21 12:54 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2013-05-21 12:53:45 EDT
Description of problem:
There is no button enabled to stop rescanning disks, which is available from the Manual Partitioning spoke.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. start graphical installation
2. proceed to the Manual Partitioning spoke
3. click on "Reload storage configuration from disk."
4. click "Rescan Disks"
5. note that no button is enabled to stop the rescanning (see attached screenshot)
6. press the Esc key while the rescan is still running

Actual results:
RESCAN DISKS dialog closes after pressing the Esc key, but it is not possible to stop it using mouse clicking on some button.

Expected results:
It is possible to stop rescanning disks by clicking on some button (Cancel for example) as well as pressing the Esc key.
Comment 1 Jan Stodola 2013-05-21 12:54:37 EDT
Created attachment 751319 [details]
Comment 2 Reartes Guillermo 2013-05-21 14:54:30 EDT
But should "Rescan Disks" be atomic/transaction?

Either you have the current values or you have the values you asked to re-read from disk. 

Is an interrupted disk rescan for anaconda something "in between"?
Comment 3 Brian Lane 2013-05-21 20:50:12 EDT
Once a rescan is started you cannot stop it. Doing so would leave the system in an inconsistent state.
Comment 4 Jan Stodola 2013-05-22 03:23:24 EDT
In that case, you should not close the dialog window while rescanning is in progress and the Esc key is pressed. Reopening.
Comment 5 Chris Lumens 2013-06-24 10:12:56 EDT
There's bound to be more dialogs that could use this treatment, but now we've got a function to make it easy.
Comment 6 Jan Stodola 2013-09-26 06:44:53 EDT
Retested with anaconda-20.18-1 (F20-Alpha-RC4) and it is not possible to interrupt disk rescanning by pressing the Esc key and no button is available to stop the rescan.

Moving to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.